Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.toJava
Class JavaServiceIfaceWriter

    java.lang.Object
      org.apache.axis.wsdl.toJava.JavaWriter
          org.apache.axis.wsdl.toJava.JavaClassWriter
              org.apache.axis.wsdl.toJava.JavaServiceIfaceWriter

All Implemented Interfaces:
  Generator

public class JavaServiceIfaceWriter
extends JavaClassWriter

This is Wsdl2java's service writer. It writes the .java file.

Field Summary

Fields inherited from class org.apache.axis.wsdl.toJava.JavaClassWriter
`className, namespaces, packageName`

Fields inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`emitter, type`

Constructor Summary
`protected` | `JavaServiceIfaceWriter(Emitter emitter, ServiceEntry sEntry, SymbolTable symbolTable)` Constructor.

Method Summary
`protected String` | `getClassText()` Returns "interface ".
`protected String` | `getExtendsText()` Returns "extends javax.xml.rpc.Service ".
`protected void` | `writeFileBody(PrintWriter pw)` Write the body of the service file.

Methods inherited from class org.apache.axis.wsdl.toJava.JavaClassWriter
`getClassModifiers, getClassName, getFileName, getImplementsText, getPackage, registerFile, writeFileFooter, writeFileHeader, writeHeaderComments, writePackage`

Methods inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`closePrintWriter, generate, getPrintWriter, isFileGenerated, verboseMessage, writeComment`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaServiceIfaceWriter

    protected JavaServiceIfaceWriter(Emitter emitter,
                                     ServiceEntry sEntry,
                                     SymbolTable symbolTable)

  Constructor.

Method Detail

### getClassText

    protected String getClassText()

  Returns "interface ".

  Overrides:
    `getClassText` in class `JavaClassWriter`

### getExtendsText

    protected String getExtendsText()

  Returns "extends javax.xml.rpc.Service ".

  Overrides:
    `getExtendsText` in class `JavaClassWriter`
  Returns:
    ""

### writeFileBody

    protected void writeFileBody(PrintWriter pw)
                          throws IOException

  Write the body of the service file.

  Specified by:
    `writeFileBody` in class `JavaWriter`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.